Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Class XMLOutput

    java.lang.Object
      org.apache.commons.jelly.XMLOutput

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class XMLOutput

extends java.lang.Object
implements org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

`XMLOutput` is used to output XML events in a SAX-like manner. This also allows pipelining to be done such as in the Cocoon project.

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary
`protected static java.lang.String[]` | `LEXICAL_HANDLER_NAMES`

Constructor Summary
`XMLOutput()`
`XMLOutput(org.xml.sax.ContentHandler contentHandler)`
`XMLOutput(org.xml.sax.ContentHandler contentHandler, org.xml.sax.ext.LexicalHandler lexicalHandler)`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Receive notification of character data.
`void` | `close()` Provides a useful hook that implementations can use to close the underlying OutputStream or Writer
`void` | `comment(char[] ch, int start, int length)` Report an XML comment anywhere in the document.
`static XMLOutput` | `createDummyXMLOutput()` returns an XMLOutput object that will discard all tag-generated XML events.
`static XMLOutput` | `createXMLOutput(java.io.OutputStream out)` Creates a text based XMLOutput which converts all XML events into text and writes to the underlying OutputStream.
`static XMLOutput` | `createXMLOutput(java.io.OutputStream out, boolean escapeText)` Creates a text based XMLOutput which converts all XML events into text and writes to the underlying OutputStream.
`static XMLOutput` | `createXMLOutput(java.io.Writer writer)` Creates a text based XMLOutput which converts all XML events into text and writes to the underlying Writer.
`static XMLOutput` | `createXMLOutput(java.io.Writer writer, boolean escapeText)` Creates a text based XMLOutput which converts all XML events into text and writes to the underlying Writer.
`static XMLOutput` | `createXMLOutput(org.xml.sax.XMLReader xmlReader)` Creates an XMLOutput from an existing SAX XMLReader
`protected static XMLOutput` | `createXMLOutput(org.dom4j.io.XMLWriter xmlWriter)` Factory method to create a new XMLOutput from an XMLWriter
`void` | `endCDATA()` Report the end of a CDATA section.
`void` | `endDocument()` Receive notification of the end of a document.
`void` | `endDTD()` Report the end of DTD declarations.
`void` | `endElement(java.lang.String localName)` Helper method for outputting an end element event for an element in no namespace
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Receive notification of the end of an element.
`void` | `endEntity(java.lang.String name)` Report the end of an entity.
`void` | `endPrefixMapping(java.lang.String prefix)` End the scope of a prefix-URI mapping.
`void` | `flush()`
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.ext.LexicalHandler` | `getLexicalHandler()`
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Receive notification of ignorable whitespace in element content.
`void` | `objectData(java.lang.Object object)` Pass data through the pipline.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Receive notification of a processing instruction.
`void` | `setContentHandler(org.xml.sax.ContentHandler contentHandler)` Sets the SAX ContentHandler to pipe SAX events into
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Receive an object for locating the origin of SAX document events.
`void` | `setLexicalHandler(org.xml.sax.ext.LexicalHandler lexicalHandler)` Sets the SAX LexicalHandler to pipe SAX events into
`void` | `skippedEntity(java.lang.String name)` Receive notification of a skipped entity.
`void` | `startCDATA()` Report the start of a CDATA section.
`void` | `startDocument()` Receive notification of the beginning of a document.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report the start of DTD declarations, if any.
`void` | `startElement(java.lang.String localName)` Helper method for outputting a start element event for an element in no namespace
`void` | `startElement(java.lang.String localName, org.xml.sax.Attributes attributes)` Helper method for outputting a start element event for an element in no namespace
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Receive notification of the beginning of an element.
`void` | `startEntity(java.lang.String name)` Report the beginning of some internal and external XML entities.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Begin the scope of a prefix-URI Namespace mapping.
`java.lang.String` | `toString()`
`void` | `write(java.lang.String text)` Outputs the given String as a piece of valid text in the XML event stream.
`void` | `writeCDATA(java.lang.String text)` Outputs the given String as a piece of CDATA in the XML event stream.
`void` | `writeComment(java.lang.String text)` Outputs a comment to the XML stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEXICAL_HANDLER_NAMES

    protected static final java.lang.String[] LEXICAL_HANDLER_NAMES

Constructor Detail

### XMLOutput

    public XMLOutput()

### XMLOutput

    public XMLOutput(org.xml.sax.ContentHandler contentHandler)

### XMLOutput

    public XMLOutput(org.xml.sax.ContentHandler contentHandler,
                     org.xml.sax.ext.LexicalHandler lexicalHandler)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### close

    public void close()
               throws java.io.IOException

  Provides a useful hook that implementations can use to close the underlying OutputStream or Writer

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### createXMLOutput

    public static XMLOutput createXMLOutput(org.xml.sax.XMLReader xmlReader)

  Creates an XMLOutput from an existing SAX XMLReader

### createXMLOutput

    public static XMLOutput createXMLOutput(java.io.Writer writer)

  Creates a text based XMLOutput which converts all XML events into text and writes to the underlying Writer.

### createXMLOutput

    public static XMLOutput createXMLOutput(java.io.Writer writer,
                                            boolean escapeText)

  Creates a text based XMLOutput which converts all XML events into text and writes to the underlying Writer.

  Parameters:
    `writer` - is the writer to output to
    `escapeText` - is whether or not text output will be escaped. This must be true if the underlying output is XML or could be false if the underlying output is textual.

### createXMLOutput

    public static XMLOutput createXMLOutput(java.io.OutputStream out)
                                     throws java.io.UnsupportedEncodingException

  Creates a text based XMLOutput which converts all XML events into text and writes to the underlying OutputStream.

  Throws:
    `java.io.UnsupportedEncodingException`

### createXMLOutput

    public static XMLOutput createXMLOutput(java.io.OutputStream out,
                                            boolean escapeText)
                                     throws java.io.UnsupportedEncodingException

  Creates a text based XMLOutput which converts all XML events into text and writes to the underlying OutputStream.

  Parameters:
    `out` - is the output stream to write
    `escapeText` - is whether or not text output will be escaped. This must be true if the underlying output is XML or could be false if the underlying output is textual.
  Throws:
    `java.io.UnsupportedEncodingException`

### createDummyXMLOutput

    public static XMLOutput createDummyXMLOutput()

  returns an XMLOutput object that will discard all tag-generated XML events. Useful when tag output is not expected or not significant.

  Returns:
    a no-op XMLOutput

### write

    public void write(java.lang.String text)
               throws org.xml.sax.SAXException

  Outputs the given String as a piece of valid text in the XML event stream. Any special XML characters should be properly escaped.

  Throws:
    `org.xml.sax.SAXException`

### writeCDATA

    public void writeCDATA(java.lang.String text)
                    throws org.xml.sax.SAXException

  Outputs the given String as a piece of CDATA in the XML event stream.

  Throws:
    `org.xml.sax.SAXException`

### writeComment

    public void writeComment(java.lang.String text)
                      throws org.xml.sax.SAXException

  Outputs a comment to the XML stream

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String localName)
                      throws org.xml.sax.SAXException

  Helper method for outputting a start element event for an element in no namespace

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String localName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

  Helper method for outputting a start element event for an element in no namespace

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String localName)
                    throws org.xml.sax.SAXException

  Helper method for outputting an end element event for an element in no namespace

  Throws:
    `org.xml.sax.SAXException`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Receive an object for locating the origin of SAX document events.

  SAX parsers are strongly encouraged (though not absolutely required) to supply a locator: if it does so, it must supply the locator to the application by invoking this method before invoking any of the other methods in the ContentHandler interface.

  The locator allows the application to determine the end position of any document-related event, even if the parser is not reporting an error. Typically, the application will use this information for reporting its own errors (such as character content that does not match an application's business rules). The information returned by the locator is probably not sufficient for use with a search engine.

  Note that the locator will return correct information only during the invocation of the events in this interface. The application should not attempt to use it at any other time.

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `locator` - An object that can return the location of any SAX document event.
  See Also:
    `Locator`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Receive notification of the beginning of a document.

  The SAX parser will invoke this method only once, before any other event callbacks (except for `setDocumentLocator`).

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `endDocument()`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Receive notification of the end of a document.

  The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `startDocument()`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Begin the scope of a prefix-URI Namespace mapping.

  The information from this event is not necessary for normal Namespace processing: the SAX XML reader will automatically replace prefixes for element and attribute names when the `http://xml.org/sax/features/namespaces` feature is true (the default).

  There are cases, however, when applications need to use prefixes in character data or in attribute values, where they cannot safely be expanded automatically; the start/endPrefixMapping event supplies the information to the application to expand prefixes in those contexts itself, if necessary.

  Note that start/endPrefixMapping events are not guaranteed to be properly nested relative to each other: all startPrefixMapping events will occur immediately before the corresponding `startElement` event, and all `endPrefixMapping` events will occur immediately after the corresponding `endElement` event, but their order is not otherwise guaranteed.

  There should never be start/endPrefixMapping events for the "xml" prefix, since it is predeclared and immutable.

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `prefix` - The Namespace prefix being declared. An empty string is used for the default element namespace, which has no prefix.
    `uri` - The Namespace URI the prefix is mapped to.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `endPrefixMapping(java.lang.String)`, `startElement(java.lang.String)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  End the scope of a prefix-URI mapping.

  See `startPrefixMapping` for details. These events will always occur immediately after the corresponding `endElement` event, but the order of `endPrefixMapping` events is not otherwise guaranteed.

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `prefix` - The prefix that was being mapped. This is the empty string when a default mapping scope ends.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `startPrefixMapping(java.lang.String, java.lang.String)`, `endElement(java.lang.String)`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Receive notification of the beginning of an element.

  The Parser will invoke this method at the beginning of every element in the XML document; there will be a corresponding `endElement` event for every startElement event (even when the element is empty). All of the element's content will be reported, in order, before the corresponding endElement event.

  This event allows up to three name components for each element:

  1. the Namespace URI;
  2. the local name; and
  3. the qualified (prefixed) name.

  Any or all of these may be provided, depending on the values of the http://xml.org/sax/features/namespaces and the http://xml.org/sax/features/namespace-prefixes properties:

  - the Namespace URI and local name are required when the namespaces property is true (the default), and are optional when the namespaces property is false (if one is specified, both must be);
  - the qualified name is required when the namespace-prefixes property is true, and is optional when the namespace-prefixes property is false (the default).

  Note that the attribute list provided will contain only attributes with explicit values (specified or defaulted): #IMPLIED attributes will be omitted. The attribute list will contain attributes used for Namespace declarations (xmlns* attributes) only if the `http://xml.org/sax/features/namespace-prefixes` property is true (it is false by default, and support for a true value is optional).

  Like `characters()`, attribute values may have characters that need more than one `char` value.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `qName` - The qualified name (with prefix), or the empty string if qualified names are not available.
    `atts` - The attributes attached to the element. If there are no attributes, it shall be an empty Attributes object.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `endElement(java.lang.String)`, `Attributes`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Receive notification of the end of an element.

  The SAX parser will invoke this method at the end of every element in the XML document; there will be a corresponding `startElement` event for every endElement event (even when the element is empty).

  For information on the names, see startElement.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `uri` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `qName` - The qualified XML 1.0 name (with prefix), or the empty string if qualified names are not available.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Receive notification of character data.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Individual characters may consist of more than one Java `char` value. There are two important cases where this happens, because characters can't be represented in just sixteen bits. In one case, characters are represented in a Surrogate Pair, using two special Unicode values. Such characters are in the so-called "Astral Planes", with a code point above U+FFFF. A second case involves composite characters, such as a base character combining with one or more accent characters.

  Your code should not assume that algorithms using `char`-at-a-time idioms will be working in character units; in some cases they will split characters. This is relevant wherever XML permits arbitrary characters, such as attribute values, processing instruction data, and comments as well as in data reported from this method. It's also generally relevant whenever Java code manipulates internationalized text; the issue isn't unique to XML.

  Note that some parsers will report whitespace in element content using the `ignorableWhitespace` method rather than this one (validating parsers must do so).

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Receive notification of ignorable whitespace in element content.

  Validating Parsers must use this method to report each chunk of whitespace in element content (see the W3C XML 1.0 recommendation, section 2.10): non-validating parsers may also use this method if they are capable of parsing and using content models.

  SAX parsers may return all contiguous whitespace in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `characters(char[], int, int)`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Receive notification of a processing instruction.

  The Parser will invoke this method once for each processing instruction found: note that processing instructions may occur before or after the main document element.

  A SAX parser must never report an XML declaration (XML 1.0, section 2.8) or a text declaration (XML 1.0, section 4.3.1) using this method.

  Like `characters()`, processing instruction data may have characters that need more than one `char` value.

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none was supplied. The data does not include any whitespace separating it from the target.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Receive notification of a skipped entity. This is not called for entity references within markup constructs such as element start tags or markup declarations. (The XML recommendation requires reporting skipped external entities. SAX also reports internal entity expansion/non-expansion, except within markup constructs.)

  The Parser will invoke this method each time the entity is skipped. Non-validating processors may skip entities if they have not seen the declarations (because, for example, the entity was declared in an external DTD subset). All processors may skip external entities, depending on the values of the `http://xml.org/sax/features/external-general-entities` and the `http://xml.org/sax/features/external-parameter-entities` properties.

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Parameters:
    `name` - The name of the skipped entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be the string "[dtd]".
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Report the start of DTD declarations, if any.

  This method is intended to report the beginning of the DOCTYPE declaration; if the document has no DOCTYPE declaration, this method will not be invoked.

  All declarations reported through `DTDHandler` or `DeclHandler` events must appear between the startDTD and `endDTD` events. Declarations are assumed to belong to the internal DTD subset unless they appear between `startEntity` and `endEntity` events. Comments and processing instructions from the DTD should also be reported between the startDTD and endDTD events, in their original order of (logical) occurrence; they are not required to appear in their correct locations relative to DTDHandler or DeclHandler events, however.

  Note that the start/endDTD events will appear within the start/endDocument events from ContentHandler and before the first `startElement` event.

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `name` - The document type name.
    `publicId` - The declared public identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system identifier for the external DTD subset, or null if none was declared. (Note that this is not resolved against the document base URI.)
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.
  See Also:
    `endDTD()`, `startEntity(java.lang.String)`

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Report the end of DTD declarations.

  This method is intended to report the end of the DOCTYPE declaration; if the document has no DOCTYPE declaration, this method will not be invoked.

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.
  See Also:
    `startDTD(java.lang.String, java.lang.String, java.lang.String)`

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Report the beginning of some internal and external XML entities.

  The reporting of parameter entities (including the external DTD subset) is optional, and SAX2 drivers that report LexicalHandler events may not implement it; you can use the `http://xml.org/sax/features/lexical-handler/parameter-entities` feature to query or control the reporting of parameter entities.

  General entities are reported with their regular names, parameter entities have '%' prepended to their names, and the external DTD subset has the pseudo-entity name "[dtd]".

  When a SAX2 driver is providing these events, all other events must be properly nested within start/end entity events. There is no additional requirement that events from `DeclHandler` or `DTDHandler` be properly ordered.

  Note that skipped entities will be reported through the `skippedEntity` event, which is part of the ContentHandler interface.

  Because of the streaming event model that SAX uses, some entity boundaries cannot be reported under any circumstances:

  - general entities within attribute values
  - parameter entities within declarations

  These will be silently expanded, with no indication of where the original entity boundaries were.

  Note also that the boundaries of character references (which are not really entities anyway) are not reported.

  All start/endEntity events must be properly nested.

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be "[dtd]".
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.
  See Also:
    `endEntity(java.lang.String)`, `DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)`, `DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Report the end of an entity.

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `name` - The name of the entity that is ending.
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.
  See Also:
    `startEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Report the start of a CDATA section.

  The contents of the CDATA section will be reported through the regular `characters` event; this event is intended only to report the boundary.

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.
  See Also:
    `endCDATA()`

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Report the end of a CDATA section.

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.
  See Also:
    `startCDATA()`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Report an XML comment anywhere in the document.

  This callback will be used for comments inside or outside the document element, including comments in the external DTD subset (if read). Comments in the DTD must be properly nested inside start/endDTD and start/endEntity events (if used).

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`
  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.

### objectData

    public void objectData(java.lang.Object object)
                    throws org.xml.sax.SAXException

  Pass data through the pipline. By default, this call is ignored. Subclasses are invited to use this as a way for children tags to pass data to their parent.

  Parameters:
    `object` - the data to pass
  Throws:
    `org.xml.sax.SAXException` - The application may raise an exception.

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Returns:
    the SAX ContentHandler to use to pipe SAX events into

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler contentHandler)

  Sets the SAX ContentHandler to pipe SAX events into

  Parameters:
    `contentHandler` - is the new ContentHandler to use. This value cannot be null.

### getLexicalHandler

    public org.xml.sax.ext.LexicalHandler getLexicalHandler()

  Returns:
    the SAX LexicalHandler to use to pipe SAX events into

### setLexicalHandler

    public void setLexicalHandler(org.xml.sax.ext.LexicalHandler lexicalHandler)

  Sets the SAX LexicalHandler to pipe SAX events into

  Parameters:
    `lexicalHandler` - is the new LexicalHandler to use. This value can be null.

### createXMLOutput

    protected static XMLOutput createXMLOutput(org.dom4j.io.XMLWriter xmlWriter)

  Factory method to create a new XMLOutput from an XMLWriter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.